## org.eclipse.datatools.modelbase.sql.datatypes
Interface RowDataType

All Superinterfaces:
  ConstructedDataType, DataType, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

    public interface RowDataType

extends ConstructedDataType

A representation of the model object 'Row Data Type'. Reference: 5WD-02-Foundation-2002-12 4.8 Row Types

The following features are supported:

- `Fields`

See Also:
  `SQLDataTypesPackage.getRowDataType()`

Method Summary
`org.eclipse.emf.common.util.EList` `getFields()` Returns the value of the 'Fields' containment reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFields

    org.eclipse.emf.common.util.EList getFields()

  Returns the value of the 'Fields' containment reference list. The list contents are of type `Field`.

  If the meaning of the 'Fields' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Fields' containment reference list.
  See Also:
    `SQLDataTypesPackage.getRowDataType_Fields()`